#include <set>
#include <iostream>
#include <functional>

using namespace std;

template<class Key>
  using downset = set<Key, greater<Key>>;

int main() {
  downset<int> s;
  s.insert(3); s.insert(1); s.insert(2);

  cout << "s:";
  for (const int& x: s)
    cout << " " << x;
  cout << endl;
}
